*PRAGMA NOLIST
*****************************************************
** Used Labels                                      *
*****************************************************
TEXT_SCREEN_START       EQU $0400
TEXT_SCREEN_END         EQU $0600

FIRQENR                 EQU $FF93
FIRQ_Jump_position   	  EQU $FEF4	* Store $7E which is the JMP opcode
FIRQ_Start_Address      EQU $FEF5	* Store the address you want the IRQ to jumpt to at this address
FIRQ_POINT              EQU $FEF4	* $FEF4 is the usual CoCo3 SuperBasic FIRQ value

IRQENR                  EQU $FF92
IRQ_Jump_position       EQU $FEF7	* Store $7E which is the JMP opcode
IRQ_Start_Address       EQU $FEF8	* Store the address you want the IRQ to jumpt to at this address
IRQ_POINT               EQU $FEF7	* $FEF7 is the usual CoCo3 SuperBasic IRQ value

PIA0_Byte_0_KeyRow_Joy  EQU $FF00
PIA0_Byte_1_HSYNC     	EQU $FF01
PIA0_Byte_2_KeyColumn_Joy	EQU $FF02
PIA0_Byte_3_VSYNC       EQU $FF03

PIA1_Byte_0_IRQ         EQU $FF20
PIA1_Byte_1_IRQ         EQU $FF21
PIA1_Byte_2             EQU $FF22
PIA1_Byte_3_IRQ_Ct_Snd  EQU $FF23

Disk_Cont_Reg			      EQU $FF40
Disk_Comnd_Stat_Reg		  EQU $FF48
Disk_Track_Reg			    EQU $FF49
Disk_Sector_Reg			    EQU $FF4A
Disk_Data_Reg			      EQU $FF4B

INIT0_Register0         EQU $FF90
INIT1_Register1         EQU $FF91

Timer_register_MSB      EQU $FF94
Timer_register_LSB      EQU $FF95

Video_Mode_Register     EQU $FF98
Vid_Res_Reg             EQU $FF99
Border_Register         EQU $FF9A
VidStart                EQU $FF9D   *
Hor_Offset_Reg          EQU $FF9F

*Screen Colour Settings
Palette_Start           EQU $FFB0
Palette_0               EQU $FFB0
Palette_1               EQU $FFB1
Palette_2               EQU $FFB2
Palette_3               EQU $FFB3
Palette_4               EQU $FFB4
Palette_5               EQU $FFB5
Palette_6               EQU $FFB6
Palette_7               EQU $FFB7
Palette_8               EQU $FFB8
Palette_9               EQU $FFB9
Palette_10              EQU $FFBA
Palette_11              EQU $FFBB
Palette_12              EQU $FFBC
Palette_13              EQU $FFBD
Palette_14              EQU $FFBE
Palette_15              EQU $FFBF

CoCo1_Regular_Speed     EQU $FFD6
CoCo1_High_Speed        EQU $FFD7
Regular_Speed           EQU $FFD8
High_Speed_Mode         EQU $FFD9
ROM_Mode_Enable         EQU $FFDE
RAM_Mode_Enable         EQU $FFDF

* Screen_Start       	EQU $7000
Border_Colour           EQU $00     * 00 - Black

* MMU Related
MMU_Reg_Bank0_0         EQU $FFA0   * Page $0000-$1FFF  Block #0
MMU_Reg_Bank0_1			    EQU $FFA1   * Page $2000-$3FFF  Block #1
MMU_Reg_Bank0_2			    EQU $FFA2   * Page $4000-$5FFF  Block #2
MMU_Reg_Bank0_3			    EQU $FFA3   * Page $6000-$7FFF  Block #3
MMU_Reg_Bank0_4			    EQU $FFA4   * Page $8000-$9FFF  Block #4
MMU_Reg_Bank0_5			    EQU $FFA5   * Page $A000-$BFFF  Block #5
MMU_Reg_Bank0_6			    EQU $FFA6   * Page $C000-$DFFF  Block #6
MMU_Reg_Bank0_7			    EQU $FFA7   * Page $E000-$FFFF  Block #7
MMU_Reg_Bank1_0         EQU $FFA8   * Page $0000-$1FFF  Block #0
MMU_Reg_Bank1_1			    EQU $FFA9   * Page $2000-$3FFF  Block #1
MMU_Reg_Bank1_2			    EQU $FFAA   * Page $4000-$5FFF  Block #2
MMU_Reg_Bank1_3			    EQU $FFAB   * Page $6000-$7FFF  Block #3
MMU_Reg_Bank1_4			    EQU $FFAC   * Page $8000-$9FFF  Block #4
MMU_Reg_Bank1_5			    EQU $FFAD   * Page $A000-$BFFF  Block #5
MMU_Reg_Bank1_6			    EQU $FFAE   * Page $C000-$DFFF  Block #6
MMU_Reg_Bank1_7			    EQU $FFAF   * Page $E000-$FFFF  Block #7
